GuardSignerService
Get Guard Signer Status
Return stored and live guard signer status.
Method
GET
Path
/v1/chain/guard-signer/status
Visibility
Authentication
Session token or API key
MFA Requirement
Not required
GET
/v1/chain/guard-signer/status Request
Testnet
curl --request GET \ \ --url 'https://api.testnet.polyester.com/v1/chain/guard-signer/status?subaccountId=6789012345678' \ --header 'Accept: */*' \ --header 'X-API-KEY-ID: YOUR_API_KEY_ID' \ --header 'X-API-TIMESTAMP: YOUR_API_TIMESTAMP' \ --header 'X-API-SIGNATURE: YOUR_API_SIGNATURE'
Responses
{
"status": {
"initialized": false,
"nonce": "example-nonce-12345",
"nonceSpace": "1",
"onchainSignerAddress": "0x5555555555555555555555555555555555555555",
"signerAddress": "0x5555555555555555555555555555555555555555"
}
} subaccountId string (int64)
Optional subaccount public id. When omitted, the authenticated caller's root account is used as the target account.
5 fields
signerAddress string
Stored guard signer EVM address, if a wallet exists for the selected account.
Example
0x5555555555555555555555555555555555555555 onchainSignerAddress string
Live on-chain signer value when chain reads are available.
Example
0x5555555555555555555555555555555555555555 initialized boolean
True when the stored signer matches the live on-chain signer.
Example
false nonce string
Current guard signer nonce for the default nonce space, encoded as a base-10 decimal string.
Example
example-nonce-12345 nonceSpace string (uint64)
Default nonce space used for normal approvals.
Example
1| Key | Status | Error | When |
|---|---|---|---|
| unauthenticated | 401 | Unauthenticated | Authentication required. |
| permission-denied | 403 | Permission Denied | Permission denied. |
| invalid-argument | 400 | Invalid Argument | Invalid argument. |
| not-found | 404 | Not Found | Not found. |
| unavailable | 503 | Unavailable | Service unavailable. |